## rust-gtk-sys 0.7.0

=== debian/changelog ===
rust-gtk-sys (0.7.0-1) unstable; urgency=medium

  * Package gtk-sys 0.7.0 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 23 Dec 2018 12:29:32 +0100
