=== debian/control ===
Source: rust-gtk-sys
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-atk-sys-0.7+default-dev <!nocheck>,
 librust-cairo-sys-rs-0.7+default-dev <!nocheck>,
 librust-gdk-pixbuf-sys-0.7+default-dev <!nocheck>,
 librust-gdk-sys-0.7+default-dev <!nocheck>,
 librust-gio-sys-0.7+default-dev <!nocheck>,
 librust-glib-sys-0.7+default-dev <!nocheck>,
 librust-gobject-sys-0.7+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-sys-0.7+default-dev <!nocheck>,
 librust-pkg-config-0.3+default-dev (>= 0.3.7-~~) <!nocheck>,
 libgtk-3-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gtk-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gtk-sys
Homepage: http://gtk-rs.org/

Package: librust-gtk-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-atk-sys-0.7+default-dev,
 librust-cairo-sys-rs-0.7+default-dev,
 librust-gdk-pixbuf-sys-0.7+default-dev,
 librust-gdk-sys-0.7+default-dev,
 librust-gio-sys-0.7+default-dev,
 librust-glib-sys-0.7+default-dev,
 librust-gobject-sys-0.7+default-dev,
 librust-libc-0.2+default-dev,
 librust-pango-sys-0.7+default-dev,
 librust-pkg-config-0.3+default-dev (>= 0.3.7-~~),
 libgtk-3-dev
Provides:
 librust-gtk-sys+default-dev (= ${binary:Version}),
 librust-gtk-sys+dox-dev (= ${binary:Version}),
 librust-gtk-sys+v3-10-dev (= ${binary:Version}),
 librust-gtk-sys+v3-12-dev (= ${binary:Version}),
 librust-gtk-sys+v3-14-dev (= ${binary:Version}),
 librust-gtk-sys+v3-16-dev (= ${binary:Version}),
 librust-gtk-sys+v3-18-dev (= ${binary:Version}),
 librust-gtk-sys+v3-20-dev (= ${binary:Version}),
 librust-gtk-sys+v3-22-dev (= ${binary:Version}),
 librust-gtk-sys+v3-22-26-dev (= ${binary:Version}),
 librust-gtk-sys+v3-22-27-dev (= ${binary:Version}),
 librust-gtk-sys+v3-22-29-dev (= ${binary:Version}),
 librust-gtk-sys+v3-22-6-dev (= ${binary:Version}),
 librust-gtk-sys+v3-6-dev (= ${binary:Version}),
 librust-gtk-sys+v3-8-dev (= ${binary:Version}),
 librust-gtk-sys-0-dev (= ${binary:Version}),
 librust-gtk-sys-0+default-dev (= ${binary:Version}),
 librust-gtk-sys-0+dox-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-10-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-12-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-14-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-16-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-18-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-20-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-22-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-22-26-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-22-27-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-22-29-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-22-6-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-6-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-8-dev (= ${binary:Version}),
 librust-gtk-sys-0.7-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+default-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+dox-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-10-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-12-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-14-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-16-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-18-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-20-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-22-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-22-26-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-22-27-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-22-29-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-22-6-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-6-dev (= ${binary:Version}),
 librust-gtk-sys-0.7+v3-8-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+default-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+dox-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-10-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-12-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-14-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-16-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-18-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-20-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-22-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-22-26-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-22-27-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-22-29-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-22-6-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-6-dev (= ${binary:Version}),
 librust-gtk-sys-0.7.0+v3-8-dev (= ${binary:Version})
Description: FFI bindings to libgtk-3 - Rust source code
 This package contains the source for the Rust gtk-sys crate, packaged by
 debcargo for use with cargo and dh-cargo.
