## rust-gtk-sys 0.9.0

=== debian/changelog ===
rust-gtk-sys (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Package gtk-sys 0.9.0 from crates.io using debcargo 2.2.10
  * Source upload for migration

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Aug 2019 18:23:51 +0200

rust-gtk-sys (0.9.0-1) unstable; urgency=medium

  * Package gtk-sys 0.9.0 from crates.io using debcargo 2.3.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Mon, 08 Jul 2019 06:41:20 +0200
