## rust-gtk-sys 0.14.0

=== debian/changelog ===
rust-gtk-sys (0.14.0-2) unstable; urgency=medium

  * Team upload.
  * debian/patches: Update to system-deps 6

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Oct 2022 13:55:45 +0200

rust-gtk-sys (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * Package gtk-sys 0.14.0 from crates.io using debcargo 2.5.0 (Closes: 1002133)

  [ Henry-Nicolas Tourneur ]
  * Package gtk-sys 0.14.0 from crates.io using debcargo 2.4.4

 -- Peter Michael Green <plugwash@debian.org>  Tue, 28 Dec 2021 22:41:34 +0000
