=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --all-features
Features: test-name=rust-gtk-sys:@
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets 
Features: test-name=librust-gtk-sys-dev:default
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --no-default-features --features dox
Features: test-name=librust-gtk-sys-dev:dox
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --no-default-features --features v3_20
Features: test-name=librust-gtk-sys-dev:v3_20
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --no-default-features --features v3_22
Features: test-name=librust-gtk-sys-dev:v3_22
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --no-default-features --features v3_22_26
Features: test-name=librust-gtk-sys-dev:v3_22_26
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --no-default-features --features v3_22_27
Features: test-name=librust-gtk-sys-dev:v3_22_27
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --no-default-features --features v3_22_29
Features: test-name=librust-gtk-sys-dev:v3_22_29
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --no-default-features --features v3_22_30
Features: test-name=librust-gtk-sys-dev:v3_22_30
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.14.0 --all-targets --no-default-features --features v3_22_6
Features: test-name=librust-gtk-sys-dev:v3_22_6
