## rust-gtk-sys 0.17.0

=== debian/changelog ===
rust-gtk-sys (0.17.0-1) unstable; urgency=medium

  * Package gtk-sys 0.17.0 from crates.io using debcargo 2.6.0
  * Removed inactive uploader, added my new mail address
  * Added patch to ignore broken test so autopkgtest can run

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 02 Aug 2023 00:04:54 +0200

rust-gtk-sys (0.16.0-2) unstable; urgency=medium

  * Package gtk-sys 0.16.0 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 25 Jun 2023 20:44:01 +0200

rust-gtk-sys (0.16.0-1) experimental; urgency=medium

  * Package gtk-sys 0.16.0 from crates.io using debcargo 2.6.0
  * Collapsed features in debcargo.toml
  * Added myself to Uploaders
  * Dropped obsolete patches

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 20 May 2023 13:44:07 +0200
