=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --all-features
Features: test-name=rust-gtk-sys:@
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets
Features: test-name=librust-gtk-sys-dev:default
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --no-default-features --features dox
Features: test-name=librust-gtk-sys-dev:dox
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --no-default-features --features v3_24
Features: test-name=librust-gtk-sys-dev:v3_24
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --no-default-features --features v3_24_1
Features: test-name=librust-gtk-sys-dev:v3_24_1
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --no-default-features --features v3_24_11
Features: test-name=librust-gtk-sys-dev:v3_24_11
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --no-default-features --features v3_24_30
Features: test-name=librust-gtk-sys-dev:v3_24_30
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --no-default-features --features v3_24_8
Features: test-name=librust-gtk-sys-dev:v3_24_8
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --no-default-features --features v3_24_9
Features: test-name=librust-gtk-sys-dev:v3_24_9
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gtk-sys 0.17.0 --all-targets --no-default-features
Features: test-name=librust-gtk-sys-dev:
Depends: dh-cargo (>= 18), librust-shell-words-1+default-dev, librust-tempfile-3+default-dev, @
