## rust-gtk-sys 0.18.0

=== debian/changelog ===
rust-gtk-sys (0.18.0-2) unstable; urgency=medium

  * Team upload
  * Drop obsolete MSRV patch
  * Package gtk-sys 0.18.0 from crates.io using debcargo 2.6.0
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Sep 2023 15:34:44 -0400

rust-gtk-sys (0.18.0-1) experimental; urgency=medium

  * Package gtk-sys 0.18.0 from crates.io using debcargo 2.6.0
  * Included patch for MSRV downgrade
  * Regenerate source code with debian tools before build

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 08 Sep 2023 20:36:59 +0200
