=== debian/control ===
Source: rust-gtk-sys
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-atk-sys-0.18+default-dev <!nocheck>,
 librust-cairo-sys-rs-0.18+default-dev <!nocheck>,
 librust-gdk-pixbuf-sys-0.18+default-dev <!nocheck>,
 librust-gdk-sys-0.18+default-dev <!nocheck>,
 librust-gio-sys-0.18+default-dev <!nocheck>,
 librust-glib-sys-0.18+default-dev <!nocheck>,
 librust-gobject-sys-0.18+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-sys-0.18+default-dev <!nocheck>,
 librust-system-deps-6+default-dev <!nocheck>,
 libgtk-3-dev <!nocheck>,
 gir-rust-code-generator <!nocheck>,
 libgirepository1.0-dev <!nocheck>,
 xmlstarlet <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gtk-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gtk-sys
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gtk-sys
Rules-Requires-Root: no

Package: librust-gtk-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-atk-sys-0.18+default-dev,
 librust-cairo-sys-rs-0.18+default-dev,
 librust-gdk-pixbuf-sys-0.18+default-dev,
 librust-gdk-sys-0.18+default-dev,
 librust-gio-sys-0.18+default-dev,
 librust-glib-sys-0.18+default-dev,
 librust-gobject-sys-0.18+default-dev,
 librust-libc-0.2+default-dev,
 librust-pango-sys-0.18+default-dev,
 librust-system-deps-6+default-dev,
 libgtk-3-dev,
 gir-rust-code-generator,
 libgirepository1.0-dev,
 xmlstarlet
Provides:
 librust-gtk-sys+default-dev (= ${binary:Version}),
 librust-gtk-sys+v3-24-dev (= ${binary:Version}),
 librust-gtk-sys+v3-24-1-dev (= ${binary:Version}),
 librust-gtk-sys+v3-24-11-dev (= ${binary:Version}),
 librust-gtk-sys+v3-24-30-dev (= ${binary:Version}),
 librust-gtk-sys+v3-24-8-dev (= ${binary:Version}),
 librust-gtk-sys+v3-24-9-dev (= ${binary:Version}),
 librust-gtk-sys-0-dev (= ${binary:Version}),
 librust-gtk-sys-0+default-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-24-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-24-1-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-24-11-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-24-30-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-24-8-dev (= ${binary:Version}),
 librust-gtk-sys-0+v3-24-9-dev (= ${binary:Version}),
 librust-gtk-sys-0.18-dev (= ${binary:Version}),
 librust-gtk-sys-0.18+default-dev (= ${binary:Version}),
 librust-gtk-sys-0.18+v3-24-dev (= ${binary:Version}),
 librust-gtk-sys-0.18+v3-24-1-dev (= ${binary:Version}),
 librust-gtk-sys-0.18+v3-24-11-dev (= ${binary:Version}),
 librust-gtk-sys-0.18+v3-24-30-dev (= ${binary:Version}),
 librust-gtk-sys-0.18+v3-24-8-dev (= ${binary:Version}),
 librust-gtk-sys-0.18+v3-24-9-dev (= ${binary:Version}),
 librust-gtk-sys-0.18.0-dev (= ${binary:Version}),
 librust-gtk-sys-0.18.0+default-dev (= ${binary:Version}),
 librust-gtk-sys-0.18.0+v3-24-dev (= ${binary:Version}),
 librust-gtk-sys-0.18.0+v3-24-1-dev (= ${binary:Version}),
 librust-gtk-sys-0.18.0+v3-24-11-dev (= ${binary:Version}),
 librust-gtk-sys-0.18.0+v3-24-30-dev (= ${binary:Version}),
 librust-gtk-sys-0.18.0+v3-24-8-dev (= ${binary:Version}),
 librust-gtk-sys-0.18.0+v3-24-9-dev (= ${binary:Version})
Description: FFI bindings to libgtk-3 - Rust source code
 This package contains the source for the Rust gtk-sys crate, packaged by
 debcargo for use with cargo and dh-cargo.
